Page MenuHomePhabricator

[mlir] Extended Alloc and Dealloc operations with memory-effect traits.
ClosedPublic

Authored by dfki-jugr on Apr 22 2020, 2:32 AM.

Diff Detail

Event Timeline

dfki-jugr created this revision.Apr 22 2020, 2:32 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 22 2020, 2:32 AM
dfki-jugr added a project: Restricted Project.
pifon2a accepted this revision.Apr 22 2020, 2:51 AM
This revision is now accepted and ready to land.Apr 22 2020, 2:51 AM
bondhugula requested changes to this revision.Apr 22 2020, 3:10 AM
bondhugula added a subscriber: bondhugula.

"Extended Alloc ..." -> "[MLIR] Extend Alloc ..."

Can you please add a commit summary even if brief?

This revision now requires changes to proceed.Apr 22 2020, 3:10 AM
dfki-jugr updated this revision to Diff 259229.Apr 22 2020, 4:04 AM

Updated commit message and added a short summary.

lebedev.ri retitled this revision from Extended Alloc and Dealloc operations with memory-effect traits. to [mlir] Extended Alloc and Dealloc operations with memory-effect traits..EditedApr 22 2020, 5:04 AM
lebedev.ri added a subscriber: lebedev.ri.

Updated commit message and added a short summary.

That needs to be done in phabricator, clearly whatever tool is being used to update the reviews (arc?) does not do any of that.

bondhugula resigned from this revision.Apr 22 2020, 9:38 AM
This revision is now accepted and ready to land.Apr 22 2020, 9:38 AM
mehdi_amini added inline comments.Apr 23 2020, 10:27 PM
mlir/include/mlir/Dialect/StandardOps/IR/Ops.td
139

Any reason this is not just always tagged "MemAlloc"?

mehdi_amini added inline comments.Apr 23 2020, 10:38 PM
mlir/include/mlir/Dialect/StandardOps/IR/Ops.td
139

Seems like we could take an optional string to tag the resource / pool for the alloc, but always mark the result as MemAlloc?

dfki-jugr marked an inline comment as done.Apr 27 2020, 2:02 AM
dfki-jugr added inline comments.
mlir/include/mlir/Dialect/StandardOps/IR/Ops.td
139

Good point, this makes sense. We will address it in an follow up PR.

This revision was automatically updated to reflect the committed changes.
mehdi_amini added inline comments.Apr 27 2020, 11:35 AM
mlir/include/mlir/Dialect/StandardOps/IR/Ops.td
139

I'm curious why didn't address it here in the first place instead?

dfki-jugr marked an inline comment as done.Apr 28 2020, 6:01 AM
dfki-jugr added inline comments.
mlir/include/mlir/Dialect/StandardOps/IR/Ops.td
139

We wanted to provide a more generalized approach for this. Follow this link to get to the follow up PR: https://reviews.llvm.org/D78917

mehdi_amini added inline comments.Apr 28 2020, 4:57 PM
mlir/include/mlir/Dialect/StandardOps/IR/Ops.td
139

I still don't understand why the current revision needed to land first...